Add hicn job to build against vpp latest. 77/35477/3
authorDave Wallace <dwallacelf@gmail.com>
Fri, 25 Feb 2022 21:04:21 +0000 (16:04 -0500)
committerMauro Sardara <msardara@cisco.com>
Fri, 12 Aug 2022 14:30:42 +0000 (16:30 +0200)
Change-Id: I0210401c810720b3927d7fe9f7b92aba3f0d260d
Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Signed-off-by: Mauro Sardara <msardara@cisco.com>
jjb/hicn/hicn.yaml
jjb/scripts/hicn/build-vpp-latest.sh [new file with mode: 0644]

index 9196c5f..4e1bb53 100644 (file)
       - hicn:
           branch: "master"
 
+- project:
+    name: hicn-vpp-latest-x86_64
+    jobs:
+      - "hicn-vpp-latest-verify-{stream}-{os}-{executor-arch}"
+    project: "hicn"
+    os: ubuntu2004
+    executor-arch: "x86_64"
+    stream:
+      - master:
+          branch: "master"
+
+- project:
+    name: hicn-vpp-latest-aarch64
+    jobs:
+      - "hicn-vpp-latest-verify-{stream}-{os}-{executor-arch}"
+    project: "hicn"
+    os: ubuntu2004
+    executor-arch: "aarch64"
+    stream:
+      - master:
+          branch: "master"
+
 - project:
     name: hicn-view
     views:
     publishers:
       - fdio-infra-publish
 
+- job-template:
+    name: "hicn-vpp-latest-verify-{stream}-{os}-{executor-arch}"
+
+    project-type: freestyle
+    node: "builder-{os}-prod-{executor-arch}"
+    concurrent: true
+
+    properties:
+      - lf-infra-properties:
+          build-days-to-keep: "{build-days-to-keep}"
+
+    parameters:
+      - project-parameter:
+          project: "{project}"
+      - gerrit-parameter:
+          branch: "{branch}"
+      - os-parameter:
+          os: "{os}"
+      - stream-parameter:
+          stream: "{stream}"
+
+    scm:
+      - gerrit-trigger-scm:
+          credentials-id: "jenkins-gerrit-credentials"
+          refspec: "$GERRIT_REFSPEC"
+          choosing-strategy: "gerrit"
+
+    wrappers:
+      - fdio-infra-wrappers:
+          build-timeout: 120
+
+    triggers:
+
+      - timed: 'H H * * *'
+      - gerrit-trigger-manually-triggered:
+          comment-trigger-value: 'verify-vpp-latest'
+          name: '{project}'
+          branch: '{branch}'
+
+    builders:
+      - shell: !include-raw-escape:
+          - ../scripts/setup_executor_env.sh
+      - shell: !include-raw-escape:
+          - ../scripts/hicn/build-vpp-latest.sh
+
+    publishers:
+      - fdio-infra-publish
+
 - project:
     name: hicn-info
     project-name: hicn
diff --git a/jjb/scripts/hicn/build-vpp-latest.sh b/jjb/scripts/hicn/build-vpp-latest.sh
new file mode 100644 (file)
index 0000000..444f9b6
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/bash
+# basic build script example
+set -euxo pipefail
+
+pushd scripts
+bash ./build-packages.sh vpp_master
+popd